repo/proj/guru:dev commit in: dev-python/python-socketio/
"Gil Ferrand" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786800092.ca14c20494dafd25dca65c4481934a713831745f.bakedsnake@gentoo> |
commit: ca14c20494dafd25dca65c4481934a713831745f
Author: bakedsnake <bakedsnake <AT> vagrantz <DOT> xyz>
AuthorDate: Sat Aug 15 13:16:01 2026 +0000
Commit: Gil Ferrand <bakedsnake <AT> vagrantz <DOT> xyz>
CommitDate: Sat Aug 15 13:21:32 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ca14c204
dev-python/python-socketio: add 5.16.4
Signed-off-by: bakedsnake <bakedsnake <AT> vagrantz.xyz>
dev-python/python-socketio/Manifest | 1 +
.../python-socketio/python-socketio-5.16.4.ebuild | 45 ++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/python-socketio/Manifest b/dev-python/python-socketio/Manifest
index 9ff5c0a9a8..f822b6976d 100644
--- a/dev-python/python-socketio/Manifest
+++ b/dev-python/python-socketio/Manifest
@@ -1,2 +1,3 @@
DIST python_socketio-5.11.4.tar.gz 118982 BLAKE2B 577202ad731b0b25eb57617f322ae203376cdb381e42d0318e72bcc8b5eb9dcbbef20d50f5d2acb20360280160a58e0ca966b42038dde917c173e5cda3636522 SHA512 c61d8247b1f2aab5eb2094a1c6bdd9cd53da66847584c48e7f8e026f8ba1705a87a8bfb7837485c1c3929b6d40b453d297a3a109298eb4ce6d6a784f08da2e1b
DIST python_socketio-5.12.1.tar.gz 119991 BLAKE2B f4f44f1c57ef1babff1bf1d456cfc1202360bb1a89b6f0eb20c3baef54d1654b0e20258ee031cebf07680ae0499475dd9d832480ca8555c6a09d65f51a761546 SHA512 f841eecfbc251f2933326d0de7c35b4b1c2a1b771c6683db8044b3bc67c7347dc3c0930900f2caf9097386994f2e980439dfd0682ca053e16e25b58f6ae27d2b
+DIST python_socketio-5.16.4.tar.gz 128140 BLAKE2B 4e139a65eee7b2b602b827d2700cad39e46fe15dc4d19c89cedca94b0e0151c47a0acddd98fb35f3671e07fae840453fc5cd105aaa154e37f86368c3dc9410d3 SHA512 d5828c315977b4934c74f7f7c9cf609049263e378dffa389ddf9380bc1279cb617e0d9585f4471e5459d5f367f5e1fbe8be1956303ca1e16eb088241b6883cf7
diff --git a/dev-python/python-socketio/python-socketio-5.16.4.ebuild b/dev-python/python-socketio/python-socketio-5.16.4.ebuild
new file mode 100644
index 0000000000..c2c7314ffe
--- /dev/null
+++ b/dev-python/python-socketio/python-socketio-5.16.4.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..14} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python implementation of the Socket.IO realtime server"
+HOMEPAGE="
+ https://python-socketio.readthedocs.org/
+ https://github.com/miguelgrinberg/python-socketio/
+ https://pypi.org/project/python-socketio
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="client asyncio-client"
+
+RDEPEND="dev-python/bidict[${PYTHON_USEDEP}]
+ >=dev-python/python-engineio-4.0.0[${PYTHON_USEDEP}]
+ client? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+ )
+ asyncio-client? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/websockets[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# pypi tarball does not contain tests
+RESTRICT="test"
+
+src_prepare() {
+ # `project.license` as a TOML table is deprecated, so we remove it
+ sed -ie "/license =/d" pyproject.toml \
+ || die "Failed to remove deprecated project.license"
+ eapply_user
+}